# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::PrintDCOPInterface Class Reference

This is the main interface to the PrintInterface of KTextEdit. DCOP interface to PrintInterface. More...

`#include <printdcopinterface.h>`

Inheritance diagram for KTextEditor::PrintDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::PrintDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions

uint | printInterfaceNumber ()
bool | printDialog ()
bool | print ()

## Public Member Functions

| PrintDCOPInterface (PrintInterface *Parent, const char *name)
virtual | ~PrintDCOPInterface ()

## Detailed Description

This is the main interface to the PrintInterface of KTextEdit. DCOP interface to PrintInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file printdcopinterface.h.

## Constructor & Destructor Documentation

PrintDCOPInterface::PrintDCOPInterface | ( | PrintInterface * | Parent,
|  | const char * | name
| ) |

Construct a new interface object for the text editor.

Parameters:

  | Parent | the parent PrintInterface object that will provide us with the functions for the interface.
  | name | the QObject's name

Definition at line 7 of file printdcopinterface.cpp.

PrintDCOPInterface::~PrintDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 13 of file printdcopinterface.cpp.

The documentation for this class was generated from the following files:

- printdcopinterface.h
- printdcopinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003